{
    "function": "set_components",
    "components": {
        "minecraft:attribute_modifiers": [
        {
          "type": "minecraft:attack_damage",
          "amount": 0.65,
          "id": "overlyrealistic:mc_base_attack_damage",
          "operation": "add_value",
          "slot": "mainhand",
          "display": {
            "type": "override",
            "value": [
              {
                "text": " 0.65 ",
                "color": "dark_green"
              },
              {
                "translate": "attribute.name.attack_damage",
                "color": "dark_green"
              }
            ]
          }
        },
        {
          "type": "minecraft:entity_interaction_range",
          "amount": 0.3,
          "id": "overly_realistic:player_item_reach_buff",
          "operation": "add_value",
          "slot": "mainhand",
          "display": {
            "type": "override",
            "value": {
              "text": " 0.3 Entity Reach",
              "color": "dark_green"
            }
          }
        },
        {
          "type": "minecraft:block_interaction_range",
          "amount": 0.3,
          "id": "overly_realistic:player_item_reach_buff",
          "operation": "add_value",
          "slot": "mainhand",
          "display": {
            "type": "override",
            "value": {
              "text": " 0.3 Block Reach",
              "color": "dark_green"
            }
          }
        }
      ]
    }
}